<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <title>Задание 5</title>
    <style>
     
      #result{
display:inline;
}

h1{
text-align:center;
}

#st{
display:inline;
}

body{
margin:70px;
}

#form-aside-wrapper{
flex-direction: column;
display: flex;
}

#form-aside-wrapper form, #form-aside-wrapper aside{
background-color:grey;
margin:10px;
padding:10px;
}

#form-aside-wrapper form{
flex:2;
order:1;
}

#form-aside-wrapper aside{
flex:2;
order:2;
}


.l{
text-align:center;
display:inline;
}
</style>
  </head>
  <body>
<div id="form-aside-wrapper">
<h1>Калькулятор стоимости заказа</h1>
<form >
<h3 class="l">Выберите товар</h3><br>
<label><input type="radio" name="radio1">Одежда </label><br>
<label><input type="radio" name="radio1">Еда </label><br>
<label><input type="radio" name="radio1">Животные </label><br>
<label><input type="radio" name="radio1">Лекарства </label><br>
<label><input type="radio" name="radio1">Техника </label>

<h3>Введите стоимость товара, по которой предпочитаете приобрести товар</h3>
<label><input name="nm1"></label><br>
<h3>Введите необходимое количество товара</h3>
<label><input name="nm2"></label><br><br>
<label><button id="my-button">подсчетать стоимость</button></label><br><br>
</form>

<form>
<label><button id="reset" onclick="reset">очистить</button>
</label>
</form>

<aside>
<div id="st">Стоимость заказа = </div><div id="result"></div>
</aside>

</div>

<script>
function prov(str){
let m=str.match(/^[0-9]+$/gi);
if(m===null){
return 0;
}
return m.length;
}

function onClick(){
let n1=document.getElementsByName("nm1");
let n2=document.getElementsByName("nm2");
if(prov(n1[0].value)===0 || prov(n2[0].value)===0){
alert("Ошибка! Введены неверные символы!");
}
else{
let r=document.getElementById("result");
r.innerHTML= parseInt(n1[0].value)*parseInt(n2[0].value) ;
}
return false;
}

window.addEventListener("DOMContentLoaded", function(event){
  let b=document.getElementById("my-button");
  b.addEventListener("click",onClick);
});

</script>  

  </body>
</html>

